CDash 2.0.0, 2012-02-03
------------------------

- 0012555: Asynchronous processing of submission fails with drop site of the form: slicer4.cdash.org 
- 0011809: "My Build Schedules" might benefit from an extra Comments or Description column 
- 0012557: Option to hide source code in the coverage webpage 
- 0011804: "My Build Schedules" list limited to 5 jobs; rest is inaccessible 
- 0011521: PHP warning about MYSQL_BOTH 
- 0012913: CDash fails to open update.xml file if CTEST_SITE variable contains a slash character 
- 0010817: DynamicAnalysis is "green" and "0" even though all tests failed when run under memcheck 
- 0012884: Adding "Subscribe" to the dashboard page 
- 0012907: Delete user incomplete / blocks creation of new user with equal name 
- 0012899: cdash 1.8.2 emails do not include header that indicates text encoding of content 
- 0012885: When subscribing, "Project" combobox doesn't show current project 
- 0010648: By default how to allow registered user to create new projects 
- 0010742: CDash does not check for valid email 
- 0010408: Time based reload for project dashboard page 
- 0011939: CDASH cannot display Attached Files 
- 0012314: description of 'test standard deviation' and 'test standard deviation threshold' is wrong 
- 0010748: Log rotation 
- 0012310: 'test time standard deviation' should be renamed 
- 0010974: Build failures not highlighted 
- 0010822: compute_update_statistics is undefined 
- 0011799: "My Build Schedules" lists the same project name for all jobs 
- 0011711: cdash/createRSS.php creates invalid RSS output 
- 0010051: Wording of "Email preference" unclear 
- 0011800: MySQL schema for client_jobschedule does not allow repeattime above 9.99 in newer MySQL versions 
- 0012218: Update command fails to parse if it contains XML escaped quotes 
- 0011201: Move the coverage legend on the left 
- 0012368: CDash's build results html should use monospace font for 'standard error' output 
- 0012164: CDash 1.6.4 cannot accept the special character 
- 0012395: cdash login page 'remember me' checkbox does not work when using LDAP authentication 
- 0012416: Error logs are never cleared 
- 0009663: [CTest] CTest/CDash OS version & compiler information is lacking on Mac OS X 
- 0007726: admin should be able to see/set other users settings 
- 0010289: Patch for the support of hgweb navigation (mercurial) 
- 0011409: viewErrorLog.php page does not show anything if buildid= *and* date= are given 
- 0012341: Test names not escaped 
- 0012360: [CTest] CDash colors for build graphs have poor contrast 
- 0012384: [PATCH] Add support for the Redmine repository browser 
- 0011737: CDash submission fails due to wrong parsing of geolocation info 
- 0012585: Use "(empty)" instead of "" when site and build names come in empty from ctest 
- 0010684: [CTest] ctest not reporting submission failures 
- 0012396: [CTest] CDash should indicate the git hash of builds 
- 0011608: Support new style of gitweb url 
- 0011920: [CMake] Current svn -> cannot create project + header errors
- 0012638: Display Example URL of Reposiroty Viewer 
- 0012631: Admin can't change user settings -- especially can't edit repository credentials 
- 0010819: Make one more category for coverage files : "complete" or "perfect" 
- 0012560: Support for PgSQL 9.x 
- 0012559: Add database port in configuration file 
- 0012403: CDash should report the time since reported builds 
- 0012454: Missing CDASH_SERVER_PORT default in config.php 
- 0012409: Autorefresh support 
- 0011787: PHP errors when accessing with empty project name 
- 0012404: Build management from main dashboard doesn't work on Safari 
- 0012331: Additional search filters for LDAP based logins
- 0012308: WebApi - Method:project - Task:files - Sort files by uploaded date
- 0011639: Support committer name and email from git
- 0010659: Upgrade Jquery
- 0010930: 1.6.5: ctest/cdash report truncated names 
- 0009790: URL into Trac svn browser wrong 
- 0011432: Undefined variables 
- 0011894: PHP warnings about split() 
- 0011828: PHP warning about preg_match() 
- 0010964: [CTest] CDash 1.6.4 - test output "crashes" the log page
- 0011663: Version 1.8.2 testDetails.php not loading stylesheet.

CDash 1.8.0, 2010-10-25
------------------------
- 0010834 CDash should log php errors during submission
- 0010720 Upgrading PostgreSQL database from 1.7 to 1.8 gives "An error occured"
- 0010660 regex for BUG: bug_number
- 0010947 Sorting by test timing does not work on index.php
- 0010929 Spelling mistakes on code coverage pages
- 0010657 MyCDash - project creation blocked
- 0010649 Editing project in Chrome makes the repository field empty
- 0010647 HTTP Header should specify charset
- 0010269 Submission without 'ctest -D ...Build' reports entries in the dashboard 'build' column
- 0010260 Logo image doesnt appear on all pages of a Dashboard that uses Subprojects.
- 0010975 Negative numbers (for test counts, others?) appearing in subproject dashboard results
- 0011284 Buildname with spaces breaks javascript
- 0011167 Coverage threshold check should be greater than or equal to
- 0011125 Test.Exists() uses incomplete key, resulting in bogus test associations in DB
- 0011108 Build shows up more than once if it has more than one note added to it
- 0010976 Adding a user to a project sets 'no email' by default
- 0010767 Clicking on administration/Users in an arbitrary project leads to an error.
- 0010760 The <link> in build update feed should point to the build
- 0010721 Showing build errors (the yellow triangle) does not work
- 0010921 Sorting of time test does not work 
- 0009941 Add buildmanagement functionality to CDash
- 0011124 Screen shot regressions show up in a random order 

CDash 1.6.4, 2010-04-16
------------------------
- 0010290 CDash sends failed-test emails, even when this is disabled
- 0010426 ClientJobSchedule::Save fails because of missing client_jobschedule table columns
- 0010463 Shared project repositories not updated correctly
- 0010332 cdash does not properly handle large xml files
- 0010439 Command Lines in Build Error/Warning Display
- 0010460 Subscription can be altered even if not admin
- 0010313 Site description repeatedly escapes special characters

CDash 1.6.2, 2010-02-08
------------------------

- Support for persistent login
- Better database compression
- New graphs and reports
- Improved coverage visualization
- Better CTest communication
- Expected submission time based on historic average
- Faster load of the main dashboard page
- Improved navigation links
- Remote build management (beta) 
- 0009174 tracing regressions
- 0009276 Postgres does not like the build warnings with '\\' in them
- 0010106 Marking "new" test failures on dashboard "view-failed-only" page.
- 0008735 add ability to get email for missing builds on sites you do not own
- 0008126 Improve Morale
- 0009991 show which failures are new
- 0010027 Feature Request: Compression of test output in the database
- 0008341 itkrobot doesn't trigger message
- 0010071 Empty iphone project page
- 0009790 URL into Trac svn browser wrong
- 0008854 Sort columns in "Manage Coverage Page"
- 0009279 Allow --username for subversion
- 0008171 Display longer history for a single build
- 0008036 Filter out submissions based on IP address
- 0007670 Delta on tests is nice but can mask actual status change.
- 0008965 identify builds that my commit first appear in
- 0007731 Graph of warnings and errors over time
- 0009933 Configurable Tracker URL
- 0007398 groups have "issues"
- 0009928 Updated file count is always 0 for new submissions
- 0008585 Maintainer page
- 0008271 Activity graph
- 0009848 "Edit subscription" should have a project-selection combo box
- 0009820 Links/navigation are partly confusing
- 0008367 Warnings and Errors are set to zero by default
- 0009138 Project names with chars that must be escaped generate incorrect URLs
- 0009295 "Time spent per project" only tracks last build
- 0008948 Update.xml parsing should classify updated/modified/conflicting based on xpath
- 0008736 better looking coverage
- 0009856 "Dashboard" doesn't take me to dashboard for the project
- 0009823 Build summary page should link to pieces
- 0009855 Unsubscribing as project admin
- 0009857 list of "Show public projects" not sorted
- 0009034 Please add a "Show Coverage Percentage Graph" link to the buildSummary page for coverage builds
- 0009669 Coverage page sorting is slow
- 0008425 Flot doesn't work with IE 8 beta
- 0008204 submission should not process files
- 0009891 Build::GetIdFromName() doesn't check projectid for subproject
- 0009890 Deleting project doesn't delete subprojects and labels
- 0009818 Description is escaped for project
- 0009815 projects not sorted on "My CDash" page
- 0009794 CDash "forgets" me very fast...
- 0009788 Dynamic Anyalsis truncated
- 0009063 Display expected submission time based on historical average for expected builds that have not submitted yet
- 0009706 Non-anonymous LDAP authentication (e.g. for Active Directory) - feature request and example implementation
- 0009677 MySQL with STRICT_TRANS_TABLES fails
- 0009668 Cannot move builds from index page on Chrome
- 0009644 Only test timings after last database upgrade are shown
- 0009338 Showing updates files does not work with PostgreSQL
- 0009630 r1964 broke CDash when using PostgreSQL
- 0009322 Show changes in test results
- 0009154 build errors not issuing emails
- 0009522 Persistent login
- 0009359 Unable to invite users
- 0009277 Database update is always needed
- 0009340 Production mode shouldn't display install.php
- 0009120 CDash generates wrong diff URLs for ViewVC (at least on NITRC.org)
- 0009296 Passed test should not have "error" table background
- 0009294 Processor information of build host is not parsed correctly
- 0009266 Cannot remove Site
- 0008957 Remember me login
- 0008931 Need a way to "unclaim" a site that no longer submits
- 0008881 Improve support for white spaces to NamedMeasurement with type text/string and/or text/plain types


CDash 1.4.0, 2009-04-01
------------------------

- 0008670 Failed tests shown in orange instead of red                              
- 0008643 Email summary lines sent out by CDash not very good for Trilinos                              
- 0008117 disallow public registration                              
- 0006631 Logos that are too big (tall) make index.php?project=blah page look bad                              
- 0007736 Root directory in websvn URL must have trailing slash for websvn paths to be generated correctly                              
- 0007771 Nightly changes should store previous revision                              
- 0008103 Timing test did not fail                              
- 0008127 Prevent spamming                              
- 0007920 ViewChanges crashes ViewCVS on newly created files                              
- 0008663 'Dynamic Analysis' field 'Labels' is not sorting                              
- 0007570 Test submission silently fails when test output is quite large.                              
- 0008616 Sending subproject email address regression lists in XML and updating CDash email lists                              
- 0008615 Sorting the 'Min' columns is not a numeric sort.                              
- 0008191 pdo_query() does not work if it is not MySQL                              
- 0008469 Coverage broken in SVN                              
- 0008462 Only 412 test results shown                              
- 0008662 'Coverage' fields 'passed', 'failed', and 'Labels' are not sorting                             
- 0008740 NotRun/Fail/Pass tests reports don't report what they should report                              
- 0007713 Upgrading Database should now use previous version                              
- 0007884 Ask CDash not to fill IP addressrd                              
- 0008679 XML Parsing problem should send email                           
- 0008783 Email Preference not greyed out on subscription page when ""Email Broken Submission"" is unchecked                            
- 0007724 Configure warnings and errors should trigger email                              
- 0008810 When Editing a project, createProject.php get an error calling fopen."                              
- 0008119 use admin email address as sender address in password emails                              
- 0008610 content of coverage differs to Coverage.xml                              
- 0007855 CDash sends duplicate emails for the same build                              
- 0008760 build failures not being sent out for all dashboard reported build errors                              
- 0008730 Not sending out email notifications for failed configure?                              
- 0008708 Add config.local.php                              
- 0008592 Main project/subproject page should be able to filter only Nightly tests                              
- 0008645 Coverage testing link times out                              
- 0008318 viewUpdate.php with PosgreSQL fails                              
- 0008638 'Dynamic Analsysis' columns can not be sorted                              
- 0008368 XAMPP flaws                           
- 0007908 Make possible to sort Code Coverage rows by submission time                              
- 0008468 Help not closable on small screen                              
- 0008484 Configure log field is too small                              
- 0006468 go to a bug reference from a commit log                              
- 0007778 User can register with the same email address                              
- 0008460 Upgrade to jquery 1.3                              
- 0007861 Upgrade from 1.0.2 to 1.2.1 breaks Groups                              
- 0007907 Time units missing in detailed test report                              
- 0008125 multiple users can share the same email address                              
- 0008451 Coverage should be sorted by status by default                              
- 0008448 cannot set CVS/SVN ViewerURL - CDash SVN trunk                              
- 0008287 Project name should be trimmed                              
- 0008254 User subscription public project                              
- 0008160 Performance issue when submiting test                              
- 0007916 Check that backup and rss directories are writable                              
- 0008202 Project logo not displayed with PostgreSQL                              
- 0008118 password recovery email seems to be bad html                              
- 0008113 Wrong SQL query leads to not storing results                              
- 0008084 Database name cannot contain minus (-)                              
- 0007848 CDash admin privileges lacking some key actions                              
- 0007847 Admin/users account can become permanently inaccessible                              
- 0007853 Builds sent from differnt sites can clobber each other                              
- 0007582 Charset encoding issues                              
- 0007806 MySQL error creating build groups                              
- 0007871 Installation check for php5-gd                              
- 0007805 The same image can't have multiple roles for a given test                              


CDash 1.2.1, 2008-10-23
------------------------

- 0006801 Test Failure History Graph
- 0007556 ViewSite page should list the users who claimed a site
- 0007499 Summarize busytime by site
- 0007204 Error summary page
- 0007537 Feature request: loggerhead support
- 0007116 Add functionality to send email to all site claimers
- 0007124 Add warning and minutes column to the cfg-column
- 0006943 Feature Request: Use Time, Pass/Fail graphs for navigation
- 0007209 add a user or group of users without a file upload
- 0007266 seeking ViewVC support in CDash
- 0007420 Support for WebSVN
- 0006606 Support for other databases
- 0007068 Support for multiple repositories update
- 0007212 Password recovery
- 0007063 Support <Measurement> tags containing HTML
- 0006646 Compressing notes
- 0007019 Email notification of nigthly builds
- 0006466 Email when an expected nightly does not show up.
- 0007636 +- reporting on the coverage
- 0007573 Only builds from default groups show when All is selected
- 0007535 Tests are not sorted by build time
- 0007497 email sent when an expected nightly does not show up
- 0007532 Claim sites list is slow to generate and unsorted
- 0007504 <DartMeasurement> output is not SQL-escaped
- 0006492 There are no options to define "broken"
- 0007458 add_coverage produce SQL error
- 0007019 email notification of nigthly builds
- 0006842 make browser back buttons smarter
- 0007210 time error hides number summary of test time
- 0007368 Detail in build warning/error emails
- 0007246 test summary page shows previous days builds
- 0007422 Configuration option to request full email
- 0007051 Timing tests have too many false positives
- 0006996 Cannot view graphs
- 0007252 OS Name and Version not displayed in viewSite
- 0007405 Number of files covered unsatisfactorily is wrong
- 0007293 CDash doesn't show all modified and conflicted files
- 0006841 show number of new errors
- 0007299 cdash install issues
- 0007262 Email always sent for experimental builds
- 0007247 URL encoding in CTestConfig
- 0007188 buildSummary.php reports update time when no update
- 0007211 Better visualization of the code coverage
- 0007135 Timing test statistics should not sample timing value
- 0007112 Login information not saved
- 0007113 Cannot directly link to pages in protected projects
- 0007064 CDash: CDash content of coverage differs to Coverage.xml
- 0007066 Documentation link
- 0007053 CDash loses my identity
- 0007052 Redirect user to login page for private project
- 0007017 Help screen cannot be dismissed if browser window is small
- 0007021 Parse cvs/svn/git commit comments and make URL expressions
- 0007018 Output from test is truncated
- 0007654 Coverage file are truncated
- 0006492 There are no options to define "broken"
- 0007535 Tests are not sorted by build time
- 0007667 Submitting using a custom name fails when contains a dash
- 0007668 Broken image link on database upgrade
- 0007648 Commit ordering issue in Nightly Changes page of VTK Cdash
- 0007639 Build group description required by MySQL 

CDash 1.0.0, 2008-04-28
------------------------
- 0006384 Detecting timing defects
- 0006371 Having the number of nightly changes on the main page
- 0006497 Method to mark compile warnings, compile errors, and test failures with "fix in progress" or "fixed"
- 0006508 Test Results information is incomplete for itk
- 0006894 Wrong number of dynamic analysis defects
- 0006878 Support for timestamp CTest 2.6
- 0006612 Bad BuildTimeGraph on buildSummary page for continuous build
- 0006843 Support of different cvs/svn/web viewers
- 0006582 CVS Link to a version 1.1 file is invalid
- 0006664 Incorrect timing and detail report on viewTest page
- 0006832 Previous Build Incorrect
- 0006807 RSS feed with private project
- 0006797 Previous build on build summary page
- 0006805 Warning when backup and rss directory are not writable
- 0006798 Warning message when browsing coverage
- 0006772 Warnings when searching for emails on manageProjectRoles page
- 0006472 Add ability to remove bogus builds
- 0006601 Project administrator cannot remove an expected build if it is not submitting
- 0006471 Add a quick way to upload a cvs/svn user to password file for email notification
- 0006715 PROJECT pulldown under DASHBOARD pulldown
- 0006602 Sort by any column on the viewTest and testSummary pages
- 0006681 Fisheye URL support
- 0006653 Mouse-over build groups
- 0006655 Project logo hyperlink
- 0006942 Show Test Time Graph does not toggle in Internet Explorer
- 0006939 Separate lists of failing tests from list of passing tests
- 0006995 The test pass/failure history does not include current data
- 0006966 Displaying test timing on main dashboard in the minutes columns
- 0006968 Coverage summary total coverage always shown in green
- 0006989 Support for external authentication


CDash 1.0.0, 2008-04-28
------------------------
- 0006384 Detecting timing defects
- 0006371 Having the number of nightly changes on the main page
- 0006497 Method to mark compile warnings, compile errors, and test failures with "fix in progress" or "fixed"
- 0006508 Test Results information is incomplete for itk
- 0006894 Wrong number of dynamic analysis defects
- 0006878 Support for timestamp CTest 2.6
- 0006612 Bad BuildTimeGraph on buildSummary page for continuous build
- 0006843 Support of different cvs/svn/web viewers
- 0006582 CVS Link to a version 1.1 file is invalid
- 0006664 Incorrect timing and detail report on viewTest page
- 0006832 Previous Build Incorrect
- 0006807 RSS feed with private project
- 0006797 Previous build on build summary page
- 0006805 Warning when backup and rss directory are not writable
- 0006798 Warning message when browsing coverage
- 0006772 Warnings when searching for emails on manageProjectRoles page
- 0006472 Add ability to remove bogus builds
- 0006601 Project administrator cannot remove an expected build if it is not submitting
- 0006471 Add a quick way to upload a cvs/svn user to password file for email notification
- 0006715 PROJECT pulldown under DASHBOARD pulldown
- 0006602 Sort by any column on the viewTest and testSummary pages
- 0006681 Fisheye URL support
- 0006653 Mouse-over build groups
- 0006655 Project logo hyperlink
- 0006942 Show Test Time Graph does not toggle in Internet Explorer
- 0006939 Separate lists of failing tests from list of passing tests
- 0006995 The test pass/failure history does not include current data
- 0006966 Displaying test timing on main dashboard in the minutes columns
- 0006968 Coverage summary total coverage always shown in green
- 0006989 Support for external authentication

CDash 0.8.0, 2008-03-24
------------------------
- Initial release
